Subject: Network Management AP draft comments

From: [email-masked] (Christine Martin)
Date: Fri, 27 May 1994 17:12:31 +0100

Ed,

I've just looked over the Network Management AP Draft Document and have
a few comments.

1) Typo on page 4-2, last paragraph, "information that may be need for
   diagnostic..." probably should read "information that may be needed
   for diagnostic..."

2) On the top of page 4-3 there is a list of information that should be
   saved locally if a CP-SVR session is terminated abnormally.  The
   list includes Mode name - which by definition is CPSVRMGR mode.

3) In the MIB definitions for the dlurNodeCapabilities the field
   dlurImplementationType appears with the choices dlur and dlus.
   Since the dlurNodeCapabilities is described as "information about
   the DLUR implementation" then this field seems redundant.

4) Another field in this table, dlurTDUsupport indicates whether this node
   supports the receipt of TDUs.  By definition, the DLUR component does
   not support receipt of TDUs. (I am assuming that this field is referring
   to the DLUR specific capabilities and not the node as whole).

   Perhaps the dlurNodeCapabilities table is being designed for use by
   both DLUR and DLUS nodes.  If so, I would suggest a different name should
   be used.  The fields discussed in points 3 and 4 might then be relevant.
   Otherwise, these fields are unnecessary.

5) Typo on page 4-9 in paragraph starting "The following.."  suplement
   should be supplement.

6) I'm unclear as to which DLUS the field dlurPuDlusSessnStatus
   of the dlurPuInfo table is referring to.  If the field is meant to
   describe whether there is an active DLUS associated with the PU then
   perhaps this field should be moved above the dlurPuActiveDlusName and
   dlurPuActiveDlusIndex fields.  (Although a null string in the
   dlurPuActiveDlusName field indicates that there is no active DLUS).
   If the field is meant to describe the session status of either the
   defined primary or backup DLUS nodes then the field definition should
   be clarified.

7) In the DlurDlusInfo table, the dlurDlusFRSNsent field is defined as
   "Flow reduction sequence number sent to the DLUS in CV51".  The CV51
   defines the field as "a value that identifies the latest TDU GDS
   variable received by the sender of the DLUR/S Capabilities CV from
   the receiver of the DLUR/S Capabilities CV".  Since the DLUR node
   never receives TDUs from the DLUS node, the field in the CV51 will
   always be set to 0.  Is the intention of this field to report the
   last FRSN sent to DLUS in a TDU?

8) In the DlurDlusInfo table, the dlurDlusTDUsupport field gives the
   TDU support indication received from the DLUS in CV51.  By definition,
   DLUS must support this.

9) Again, in the DlurDlusInfo table, I'm confused about the the
   dlurDlusANSsupport field.  I thought the CV51 bit this field is
   referring to are only set by the DLUR node and not relevant to the
   DLUS node.  Similarly, the dlurDlusMultiSubnetSupport field refers
   to a bit only relevant for DLUR to DLUS CV51 flows.

Hope that input helps!

Christine

-- 
==============================================================
Christine Martin  ([email-masked])
Data Connection Limited
Telephone: +44 81 366 1177
Fax:       +44 81 367 8501
==============================================================